
FTP Receiver - Bug #1492

Input cannot listen on all addresses on Windows
Status: Closed Start date: 09/20/2016

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.0   

Description

History

#1 - 03/14/2017 03:10 AM - Luke Murphey

See http://stackoverflow.com/questions/8033552/python-socket-bind-to-any-ip

#2 - 03/14/2017 04:13 AM - Luke Murphey

Example of a simple server at http://www.binarytides.com/python-socket-server-code-example/

#3 - 03/14/2017 04:28 AM - Luke Murphey

- File listener.py added

#4 - 03/14/2017 04:44 AM - Luke Murphey

netstat says it is listening on ::

  TCP    [::]:2121              [::]:0                 LISTENING

 [python.exe]

#5 - 03/14/2017 04:52 AM - Luke Murphey

It looks like the ftp library is using getaddrinfo()

https://docs.python.org/2/library/socket.html#socket.getaddrinfo

It appears that the hostname must be used. Listening works when I connect to ftp://localhost:2121.

#6 - 03/14/2017 05:21 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100

Files

listener.py 408 Bytes 03/14/2017 Luke Murphey
